Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class ClassFileField

    java.lang.Object
      com.sun.squawk.ClassFileMember
          com.sun.squawk.ClassFileField

Direct Known Subclasses:
  ClassFileConstantField

    public class ClassFileField

extends ClassFileMember

An instance of `ClassFileField` encapsulates all the symbolic information of a field declaration in a class file. This class is provided for a subsystem (such as the translator) that loads a class definition from a class file.

Field Summary
`static ClassFileField[]` | `NO_FIELDS` A zero-length array of `ClassFileField`s.

Constructor Summary
`ClassFileField(String name, int modifiers, Klass type)` Creates a new `ClassFileField` instance.

Method Summary
`Klass` | `getType()` Gets the type of this field.

Methods inherited from class com.sun.squawk.ClassFileMember
`getFullyQualifiedName, getModifiers, getName, isStatic`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_FIELDS

    public static final ClassFileField[] NO_FIELDS

  A zero-length array of `ClassFileField`s.

Constructor Detail

### ClassFileField

    public ClassFileField(String name,
                          int modifiers,
                          Klass type)

  Creates a new `ClassFileField` instance.

  Parameters:
    `name` - the name of the field
    `modifiers` - the modifiers of the field
    `type` - the type of the field

Method Detail

### getType

    public final Klass getType()

  Gets the type of this field.

  Returns:
    the type of this field

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"